import bb.cascades 1.0
import "../tart.js" as Tart

Page {
    id: thisPage
    objectName: "DaysLeftPage"

    titleBar: TitleBar {
        title: root.activeTab.title
    }

    Container {
        topPadding: 15
        leftPadding: 35
        rightPadding: 35
        bottomPadding: 15

        background: Color.create("#272727")

        layout: DockLayout {}

        Container {
            horizontalAlignment: HorizontalAlignment.Center
            verticalAlignment: VerticalAlignment.Center

            Label {
                id: daysLeft
                horizontalAlignment: HorizontalAlignment.Center
                textStyle.fontSizeValue: 50
                textStyle.color: Color.Red
            }

            Label {
                horizontalAlignment: HorizontalAlignment.Center
                text: "days left!"
                textStyle.fontSizeValue: 35
                textStyle.color: Color.create("#999999")
            }
        }
    }// Container

    function onDaysLeft(data) {
        daysLeft.text = data.days;
    }

    function onPaneVisible(pane) {
        // print('onPaneVisible', pane);
        // print('this pane', thisPage);
        // print('same?', thisPage === pane, thisPage == pane);
        if (pane.objectName == 'DaysLeftPage')
            Tart.send('findDaysLeft');
    }

    onCreationCompleted: {
        Tart.Tart.onDaysLeft = onDaysLeft;
        root.paneVisible.connect(onPaneVisible);
    }
}
