import bb.cascades 1.0

Page {
    id: page
    signal onBack

    titleBar: TitleBar {
        title: root.activeTab.title
    }

    Container {
        Label {
            text: "ListView follows:"
        }

        Container {
            background: Color.Red

            ListView {
                id: myListView
                preferredHeight: 121 * 2

                // Associate the list view with the data model that's defined in the
                // attachedObjects list
                dataModel: ArrayDataModel {
                    id: model
                }

                listItemComponents: [
                    ListItemComponent {
                        type: "item"

                        // Use a standard list item to display the data in the model
                        StandardListItem {
                            title: ListItemData.firstName + " " + ListItemData.lastName
                            //~ imageSource: ListItemData.image
                            description: ListItemData.employeeNumber
                        }
                    } // end of ListItemComponent
                ]

                onCreationCompleted: {
                    model.append({title: 'test'});
                    model.append({title: 'second entry'});
                    print('pHeight', myListView.preferredHeight);
                    print('minHeight', myListView.minHeight);
                    print('maxHeight', myListView.maxHeight);
                }
            } // end of ListView

            Label {
                text: "following in Container"
            }
        }

        Label {
            text: "following outside Container"
        }

        // onCreationCompleted: {
        //     // After the root Page is created, direct the data source to start
        //     // loading data
        //     dataSource.load();
        // }
    }

}
