import bb.cascades 1.0
import bb.cascades.pickers 1.0
import "../tart.js" as Tart

// see https://github.com/blackberry/Cascades-Samples/blob/master/filepicker/assets/main.qml

Page {
    id: thisPage

    titleBar: TitleBar {
        title: root.activeTab.title
    }

    Container {
        background: Color.Green

        Button {
            text: "Save as"
            onClicked: {
                print('save as');
                picker.open();
            }
        }
    }

    attachedObjects: [
        FilePicker {
            id: picker

            property string selectedFile

            title: qsTr("File Picker")
            mode: FilePickerMode.Saver // Picker, PickerMultiple, SaverMultiple
            type: FileType.Document // Picture, Music, Video, Other
            // viewMode: ViewMode.Default // ListView, GridView
            sortBy: FilePickerSortFlag.Default  // Name, Suffix, Date
            sortOrder: FilePickerSortOrder.Default // Ascending, Descending

            defaultSaveFileNames: ['export-test.csv']
            allowOverwrite: true
            directories: ['shared/documents/Exports']
            filter: ['*.csv', '*.xls', '*.xl*']

            onFileSelected: {
                print('selected', selectedFiles);
            }
        }
    ]
}
