import bb.cascades 1.0
import bb.data 1.0

Page {
    id: page
    signal onBack

    Container {
        Label {
            text: "Dynamic Page"
        }

        Container {
            id: cont
            property variant borderColor: Color.Red
            property variant fillColor: Color.White
            property variant textColor: Color.Black
            property string textString
            property real padding: 10;

            background: borderColor

            leftPadding: padding
            rightPadding: padding
            topPadding: padding
            bottomPadding: padding

            Container {
                background: cont.fillColor
                Label {
                    id: theLabel
                    text: "This is a test"
                    //~ textStyle.color: cont.textColor
                }
            }
        }

        Button {
            text: "Click"
            onClicked: {
                theLabel.text = "clicked it";
            }
        }

        ListView {
            id: myListView

            // Associate the list view with the data model that's defined in the
            // attachedObjects list
            dataModel: dataModel

            listItemComponents: [
                ListItemComponent {
                    type: "item"

                    // Use a standard list item to display the data in the model
                    StandardListItem {
                        title: ListItemData.firstName + " " + ListItemData.lastName
                        //~ imageSource: ListItemData.image
                        description: ListItemData.employeeNumber
                    }
                } // end of ListItemComponent
            ]
        } // end of ListView

        attachedObjects: [
            GroupDataModel {
                id: dataModel
            },
            DataSource {
                id: dataSource

                source: "testdata.json"

                onDataLoaded: {
                    // After the data is loaded, insert it into the data model
                    dataModel.insertList(data);
                }
            } // end of DataSource
        ]

        onCreationCompleted: {
            // After the root Page is created, direct the data source to start
            // loading data
            dataSource.load();
        }
    }

    paneProperties: NavigationPaneProperties {
        backButton: ActionItem {
            title: "Previous"
            onTriggered: onBack()
        }
    }

    onCreationCompleted: {
        console.log('created new TestComponent');
        console.log('this is', this);
        console.log('page is', page);

        console.log('main window', Application.mainWindow);
        console.log('idle mode before', Application.mainWindow.screenIdleMode);
        Application.mainWindow.screenIdleMode = 1;
        console.log('idle mode after', Application.mainWindow.screenIdleMode);
    }
}
