import bb.cascades 1.0
import bb.system 1.0

Page {
    titleBar: TitleBar {
        title: root.activeTab.title
    }

    Container {
        layout: DockLayout {
        }

        Container {
            Button {
                text: "Show Prompt"
                onClicked: {
                    mySystemPrompt.show();
                }
            }

            Label {
                id: promptResult
                visible: false
            }
        }

        Container {
            horizontalAlignment: HorizontalAlignment.Center
            verticalAlignment: VerticalAlignment.Center

            Button {
                text: "First time?"
                onClicked: {
                    myQmlDialog.show()
                }
            } // button
        } // end container
    } // end container

    attachedObjects: [
        SystemToast {
            id: myQmlToast
            body: "So long! Thanks for coming, see you next time!"
            onFinished:{
                console.log('toast finished', myQmlToast.result);
                //~ Application.quit();
            }
        },

        SystemDialog {
            id: myQmlDialog
            title: "Friendly Warning"
            body: "Kakel can be habit-forming... "
            onFinished: {
                console.log('dialog result', myQmlDialog.result);
                if (myQmlDialog.result === SystemUiResult.CancelButtonSelection)
                    myQmlToast.show();
            }
        },

        SystemPrompt {
            id: mySystemPrompt

            title: "System Prompt?"
            modality: SystemUiModality.Application
            inputField.inputMode: SystemUiInputMode.Default
            inputField.emptyText: "Label text..."
            confirmButton.label: "Ok"
            confirmButton.enabled: true
            cancelButton.label: "Cancel"
            cancelButton.enabled: true
            onFinished: {
                console.log('prompt result', result);
                var text = inputFieldTextEntry();
                if (result == SystemUiResult.ConfirmButtonSelection) {
                    console.log('text is', text);
                    promptResult.text = text;
                    promptResult.visible = true;
                }
            }
        }
    ]

} // end page
