import bb.cascades 1.0
import bb.platform 1.0
import QtQuick 1.0
import "../tart.js" as Tart


TabbedPane {
    id: root

    property variant splash

    peekEnabled: false

    signal paneVisible(variant pane)

    Tab {
        title: "Rotated Bounds"

        RotatedBounds {
        }
    }

    Tab {
        title: "Days Left"

        DaysLeftPage {
        }
    }

    Tab {
        title: "ListView Test"

        ListViewTest {
        }
    }

    Tab {
        title: "Picker Test"

        PickerTest {
        }
    }

    Tab {
        title: "Canvas Chart"

        CanvasChartTest {
            id: canvasChartPage
        }
    }

    Tab {
        title: "Dynamic Component"

        DynComponentPage {}
    }

    Tab {
        title: "DropDown Test"

        DropDownTest {}
    }

    Tab {
        title: "Camera Test"

        CameraPage {}
    }

    Tab {
        title: "KeepAwake Test"

        KeepAwake {}
    }

    Tab {
        title: "ActiveText Test"

        ActiveTextTest {}
    }

    Tab {
        title: "System Dialogs"

        ToastTest {}
    }

    // The Connections element is not visual and must be an attached object.
    attachedObjects: [
        Connections {
            target: Application
            onSwipeDown: console.log('** swiped down')
            onThumbnail: console.log('** thumbnail')
            onFullscreen: console.log('** fullscreen')
            onInvisible: console.log('** invisible')
            onAsleep: console.log('** asleep')
            onAwake: console.log('** awake')
        },

        HomeScreen {
            onLockStateChanged: {
                console.log('lock state', lockState);
            }
        }

        //~ SceneCover {
            //~ id: theCover

            //~ content: Container {
                //~ background: Color.Red

                //~ Label {
                    //~ text: "My Cover"
                //~ }
            //~ }
        //~ }
        ,
        QTimer {
            id: myTimer
            interval: 0
            singleShot: true
            onTimeout: {
                activePaneTransitionEnded(activePane);  // fake it
            }
        }
    ]

    onActivePaneTransitionEnded: {
        paneVisible(activePane);
    }

    function onManualExit() {
        Tart.send('manualExit');
        canvasChartPage.running = false;
        canvasChartPage.timer.stop();
        print('final count', canvasChartPage.count);
    }

    onCreationCompleted: {
        //~ console.log('cover', Application.cover);
        //~ Application.setCover(theCover);
        Tart.init(_tart, root, Application);
        Tart.debug = false;
        Tart.send('uiReady');

        myTimer.start();
    }
}
