/* data model for this app */
.pragma library

var debug = true;
var _tart = null;
var root = null;
var Application = null;

var Tart = {};

// globals at this point are purely the standard JS ones, plus Qt and the translate stuff

function init(__tart, _root, app) {
    _tart = __tart;
    root = _root;
    Application = app;

    _tart.messageYielded.connect(Tart._onMessage);

    // temporary
    Application.manualExit.connect(root.onManualExit || Tart.onManualExit);
    Application.autoExit = false;
}


var send = Tart.send = function(type, data) {
    _tart.postMessage(JSON.stringify([type, data]));
}


Tart._onMessage = function(msg) {
    if (debug)
        console.log('_onMessage', msg);

    var parts = JSON.parse(msg);
    var type = parts[0];
    var data = parts[1];

    if (!type) {
        console.log('ERROR, empty type in', msg);
    } else {
        type = 'on' + type[0].toUpperCase() + type.substring(1);
        var signal = root[type];
        if (!signal) {
            signal = Tart[type];
            if (!signal) {
                console.log('ERROR, signal not found', type);
                return;
            }
        }

        // console.log('signalling', typeof signal, type);
        signal(data);
    }
}


// debugging support, use with App.js() in app.py
Tart.onEvalJavascript = function(data) {
    console.log('eval this', data.text);
    var result = eval(data.text);
    console.log('.. result', result);
    Tart.send('evalResult', {value: result});
}


Tart.onContinueExit = function() {
    // everyone else is done, so let's blow this popsicle stand
    Application.quit();
}


Tart.onBackendReady = function() {
    if (debug)
        console.log('backend is ready, duh');
}


Tart.onManualExit = function() {
    if (debug)
        console.log('** onManualExit');
    Tart.send('manualExit');
}


// EOF
